- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理消息服务
- /
- 修改邮件模版
¶ Modify the email template
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Modify the email template
¶ Method name
ManagementClient.update_email_template
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| content | string | yes | - | Email content template | xxx |
| sender | string | yes | - | Email sender name | |
| subject | string | yes | - | Email subject | Welcome to |
| name | string | yes | - | Email template name | Welcome email |
| customizeEnabled | boolean | yes | - | Whether to enable custom templates | true |
| type | string | yes | - | Template type: - WELCOME_EMAIL: Welcome email- FIRST_CREATED_USER: First created user notification- REGISTER_VERIFY_CODE: Registration verification code- LOGIN_VERIFY_CODE: Login verification code- MFA_VERIFY_CODE: MFA verification code- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code- FIRST_EMAIL_LOGIN_VERIFY: First email login verification- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console- USER_PASSWORD_UPDATE_REMIND: User expiration reminder- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Administrator successfully resets user password notification- USER_PASSWORD_RESET_NOTIFICATION: User password successfully reset notification- RESET_PASSWORD_VERIFY_CODE: Reset password verification code- SELF_UNLOCKING_VERIFY_CODE: Self-service unlocking verification code- EMAIL_BIND_VERIFY_CODE: Binding email verification code- EMAIL_UNBIND_VERIFY_CODE: Unbinding email verification code | WELCOME_EMAIL |
| expiresIn | number | No | - | Verification code/email validity period, only verification emails have validity period. | 300 |
| redirectTo | string | No | - | The address to jump to after completing email verification. Only valid for templates of type FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY. | https://example.com |
| tplEngine | string | No | handlebar | Template rendering engine. GenAuth email template currently supports two rendering engines: - handlebar: For detailed usage, please see: handlebars official documentation (opens new window)- ejs: For detailed usage, please see: ejs official documentation (opens new window)By default, handlerbar will be used as the template rendering engine. | handlebar |
¶ Request Response
Type: EmailTemplateSingleItemRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | EmailTemplateDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"customizeEnabled": true,
"type": "WELCOME_EMAIL",
"name": "Welcome Email",
"subject": "Welcome to {{app_name}}",
"sender": "{{client_name}}",
"content": "xxx",
"expiresIn": 300,
"redirectTo": "https://example.com",
"tplEngine": "handlebar"
}
}
¶ Data Structure
¶ EmailTemplateDto
| Name | Type | Is this field required? | Description | Sample value |
|---|---|---|---|---|
| customizeEnabled | boolean | yes | Whether to enable custom templates | true |
| type | string | yes | Template type: - WELCOME_EMAIL: Welcome email- FIRST_CREATED_USER: First created user notification- REGISTER_VERIFY_CODE: Registration verification code- LOGIN_VERIFY_CODE: Login verification code- MFA_VERIFY_CODE: MFA verification code- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code- FIRST_EMAIL_LOGIN_VERIFY: First email login verification- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console- USER_PASSWORD_UPDATE_REMIND: User expiration reminder- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Administrator successfully resets user password notification- USER_PASSWORD_RESET_NOTIFICATION: User password successfully reset notification- RESET_PASSWORD_VERIFY_CODE: Reset password verification code- SELF_UNLOCKING_VERIFY_CODE: Self-service unlocking verification code- EMAIL_BIND_VERIFY_CODE: Binding email verification code- EMAIL_UNBIND_VERIFY_CODE: Unbinding email verification code | WELCOME_EMAIL |
| name | string | yes | Email template name | Welcome email |
| subject | string | yes | Email subject | Welcome to |
| sender | string | yes | Email sender name | |
| content | string | yes | Email content template | xxx |
| expiresIn | number | No | Validity period of verification code/email. Only verification emails have validity period. | 300 |
| redirectTo | string | No | The address to jump to after completing email verification. Only valid for templates of type FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY. | https://example.com |
| tplEngine | string | No | Template rendering engine. GenAuth email template currently supports two rendering engines: - handlebar: For detailed usage, please see: handlebars official documentation (opens new window)- ejs: For detailed usage, please see: ejs official documentation (opens new window)By default, handlerbar will be used as the template rendering engine. | handlebar |
